"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var view_1 = require("tns-core-modules/ui/core/view");
var content_view_1 = require("tns-core-modules/ui/content-view");
var ARDebugLevel;
(function (ARDebugLevel) {
    ARDebugLevel[ARDebugLevel["NONE"] = "NONE"] = "NONE";
    ARDebugLevel[ARDebugLevel["WORLD_ORIGIN"] = "WORLD_ORIGIN"] = "WORLD_ORIGIN";
    ARDebugLevel[ARDebugLevel["FEATURE_POINTS"] = "FEATURE_POINTS"] = "FEATURE_POINTS";
    ARDebugLevel[ARDebugLevel["PHYSICS_SHAPES"] = "PHYSICS_SHAPES"] = "PHYSICS_SHAPES";
})(ARDebugLevel = exports.ARDebugLevel || (exports.ARDebugLevel = {}));
var debugLevelProperty = new view_1.Property({
    name: "debugLevel",
    defaultValue: ARDebugLevel.NONE
});
var ARPosition = (function () {
    function ARPosition(x, y, z) {
        this.x = x;
        this.y = y;
        this.z = z;
    }
    return ARPosition;
}());
exports.ARPosition = ARPosition;
var ARBase = (function (_super) {
    __extends(ARBase, _super);
    function ARBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ARBase.isSupported = function () {
        return false;
    };
    ARBase.prototype[debugLevelProperty.setNative] = function (value) {
        if (value) {
            if (typeof value === "string") {
                this.setDebugLevel(ARDebugLevel[value]);
            }
            else {
                this.setDebugLevel(value);
            }
        }
    };
    return ARBase;
}(content_view_1.ContentView));
ARBase.arLoadedEvent = "arLoaded";
ARBase.planeDetectedEvent = "planeDetected";
ARBase.planeTappedEvent = "planeTapped";
exports.ARBase = ARBase;
debugLevelProperty.register(ARBase);
//# sourceMappingURL=ar-common.js.map