import { ARBase, ARAddBoxOptions, ARAddModelOptions, ARAddSphereOptions, ARAddTubeOptions, ARDebugLevel, ARNode } from "./ar-common";
export { ARDebugLevel };
export declare class AR extends ARBase {
    sceneView: ARSCNView;
    private configuration;
    private delegate;
    private physicsWorldContactDelegate;
    private sceneTapHandler;
    private sceneLongPressHandler;
    static isSupported(): boolean;
    setDebugLevel(to: ARDebugLevel): void;
    toggleStatistics(on: boolean): void;
    togglePlaneDetection(on: boolean): void;
    togglePlaneVisibility(on: boolean): void;
    private initAR();
    private addBottomPlane(scene);
    createNativeView(): Object;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    sceneLongPressed(recognizer: UITapGestureRecognizer): void;
    sceneTapped(recognizer: UITapGestureRecognizer): void;
    addModel(options: ARAddModelOptions): Promise<ARNode>;
    addBox(options: ARAddBoxOptions): Promise<ARNode>;
    addSphere(options: ARAddSphereOptions): Promise<ARNode>;
    addTube(options: ARAddTubeOptions): Promise<ARNode>;
    reset(): void;
}
