"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var arcommon_1 = require("./arcommon");
var armaterial_1 = require("./armaterial");
var ARSphere = (function (_super) {
    __extends(ARSphere, _super);
    function ARSphere() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ARSphere.create = function (options) {
        var sphere = SCNSphere.sphereWithRadius(options.radius);
        if (options.material) {
            var materialArray = NSMutableArray.alloc().initWithCapacity(1);
            materialArray.addObject(armaterial_1.ARMaterial.getMaterial(options.material));
            sphere.materials = materialArray;
        }
        return new ARSphere(options, SCNNode.nodeWithGeometry(sphere));
    };
    return ARSphere;
}(arcommon_1.ARCommonNode));
exports.ARSphere = ARSphere;
//# sourceMappingURL=arsphere.js.map